## mapnik-vector-tile 0.3.2+dfsg

=== Makefile ===
PROTOBUF_CXXFLAGS=$(shell pkg-config protobuf --cflags)
PROTOBUF_LDFLAGS=$(shell pkg-config protobuf --libs-only-L) -lprotobuf-lite
MAPNIK_CXXFLAGS=$(shell mapnik-config --cflags) -Wsign-compare
MAPNIK_LDFLAGS=$(shell mapnik-config --libs --ldflags --dep-libs)
CXXFLAGS := $(CXXFLAGS) # inherit from env
LDFLAGS := $(LDFLAGS) # inherit from env

all: mapnik-vector-tile

mapnik-vector-tile: src/vector_tile.pb.cc

src/vector_tile.pb.cc: proto/vector_tile.proto
	protoc -Iproto/ --cpp_out=./src proto/vector_tile.proto

python/vector_tile_pb2.py: proto/vector_tile.proto
	protoc -Iproto/ --python_out=python proto/vector_tile.proto

python: python/vector_tile_pb2.py

test/run-test: src/vector_tile.pb.cc test/vector_tile.cpp test/test_utils.hpp src/*
	$(CXX) -o ./test/run-test test/vector_tile.cpp src/vector_tile.pb.cc -I./src $(CXXFLAGS) $(MAPNIK_CXXFLAGS) $(PROTOBUF_CXXFLAGS) $(MAPNIK_LDFLAGS) $(PROTOBUF_LDFLAGS) $(LDFLAGS) -Wno-unused-private-field

test: test/run-test src/vector_tile.pb.cc
	./test/run-test

python-test: python/vector_tile_pb2.py
	python ./test/python/test.py

clean:
	@rm -f ./src/vector_tile.pb.cc
	@rm -f ./src/vector_tile.pb.h
	@rm -f ./test/run-test
	@rm -f ./python/vector_tile_pb2.py
	@rm -f ./python/*pyc

.PHONY: test

=== examples/c++/Makefile ===
PROTOBUF_CXXFLAGS=$(shell pkg-config protobuf --cflags)
PROTOBUF_LDFLAGS=$(shell pkg-config protobuf --libs-only-L) -lprotobuf-lite
CXXFLAGS := $(CXXFLAGS) # inherit from env
LDFLAGS := $(LDFLAGS) # inherit from env

all: tileinfo

tileinfo: tileinfo.cpp ../../src/vector_tile.pb.cc
	$(CXX) tileinfo.cpp ../../src/vector_tile.pb.cc -o tileinfo -lprotobuf-lite

test:
	./tileinfo ../data/14_8716_8015.vector.pbf

clean:
	@rm -f ./tileinfo

.PHONY: test

=== debian/changelog ===
mapnik-vector-tile (0.3.2+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild with current protobuf-compiler

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 23:59:01 +0000

mapnik-vector-tile (0.3.2+dfsg-1) unstable; urgency=low

  * Repackage to exclude test/catch.hpp
  * Explain why in debian/copyright
  * Build-Depends on catch for test suite
  * Add 1001 patch for catch latest compatibility

 -- Jérémy Lal <kapouer@melix.org>  Sun, 15 Sep 2013 19:05:30 +0200

mapnik-vector-tile (0.3.2-3) unstable; urgency=low

  * Depends on libprotobuf-dev, libmapnik-dev (>= 2.2.0~)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 15:22:42 +0200

mapnik-vector-tile (0.3.2-2) unstable; urgency=low

  * Install all vector_tiles* files directly in /usr/include,
    avoiding to patch reverse build-dependency like node-mapnik.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 29 Aug 2013 14:14:53 +0200

mapnik-vector-tile (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #721194)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Aug 2013 15:06:28 +0200

=== debian/control ===
Source: mapnik-vector-tile
Section: devel
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9),
 protobuf-compiler,
 libprotobuf-dev,
 catch,
 libmapnik-dev (>= 2.2.0~)
Standards-Version: 3.9.4
Homepage: https://github.com/mapbox/mapnik-vector-tile
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik-vector-tile.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik-vector-tile.git

Package: mapnik-vector-tile
Architecture: all
Depends:
 ${misc:Depends},
 libprotobuf-dev,
 libmapnik-dev (>= 2.2.0~)
Description: Vector tiles integration with mapnik - development files
 This package provides C++ header and source needed to render geodata
 into vector tiles, and vector tiles into images.
 .
 Tiles are encoded as protobuf messages, and that geodata format can be
 used as a drop-in replacement for mapnik datasources like postgis and
 shapefiles, without compromising on speed.
 .
 Mapnik is a C++/Python toolkit for developing GIS applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

dfsgVersion := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
upstreamVersion := $(shell echo $(dfsgVersion) | cut -d+ -f1)
name :=  $(shell dpkg-parsechangelog -SSource)
tarDir := $(name)-$(upstreamVersion)
tarName := $(name)_$(dfsgVersion).orig.tar

%:
	dh $@

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(upstreamVersion) \
		--force-download \
		--destdir ../tarballs \
		--rename
	tar xvf ../tarballs/$(name)_$(upstreamVersion).orig.tar.gz
	@echo Repackaging
	rm -rf $(tarDir)/test/catch.hpp
	tar cf $(tarName) $(tarDir)/
	rm -rf $(tarDir)/
	gzip -9 $(tarName)
	mv $(tarName).gz ../tarballs/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/mapnik-vector-tile-$1.tar.gz/,\
dversionmangle=s/\+dfsg$// \
https://github.com/mapbox/mapnik-vector-tile/releases .*/v?(\d\S*)\.tar\.gz

## mapnik-vector-tile 0.3.4+dfsg

=== examples/c++/Makefile ===
--- 
+++ 
@@ -6,10 +6,15 @@
 all: tileinfo
 
 tileinfo: tileinfo.cpp ../../src/vector_tile.pb.cc
-	$(CXX) tileinfo.cpp ../../src/vector_tile.pb.cc -o tileinfo -lprotobuf-lite
+	$(CXX) tileinfo.cpp ../../src/vector_tile.pb.cc -o tileinfo -lprotobuf-lite -lz
 
 test:
 	./tileinfo ../data/14_8716_8015.vector.pbf
+	./tileinfo ../data/14_2620_6331.vector.pbf.z
+
+install:
+	cp ./tileinfo /usr/local/bin/tileinfo
+	chmod +x /usr/local/bin/tileinfo
 
 clean:
 	@rm -f ./tileinfo

=== debian/changelog ===
mapnik-vector-tile (0.3.4+dfsg-1) unstable; urgency=medium

  * Upstream update
  * Unapply 1001_catch_compat patch, applied upstream.
  * Standards-Version 3.9.5, no changes needed.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 09 Feb 2014 21:03:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libprotobuf-dev,
  catch,
  libmapnik-dev (>= 2.2.0~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/mapbox/mapnik-vector-tile
 Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik-vector-tile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mapnik-vector-tile.git

## mapnik-vector-tile 0.5.1+dfsg

=== Makefile ===
PROTOBUF_CXXFLAGS=$(shell pkg-config protobuf --cflags)
PROTOBUF_LDFLAGS=$(shell pkg-config protobuf --libs-only-L) -lprotobuf-lite
MAPNIK_CXXFLAGS=$(shell mapnik-config --cflags) -Wsign-compare
MAPNIK_LDFLAGS=$(shell mapnik-config --libs --ldflags --dep-libs)
COMMON_FLAGS = -Wall -Wshadow -pedantic -Wno-c++11-long-long -Wno-c++11-extensions
#-Wsign-compare -Wsign-conversion -Wunused-parameter
# inherit from env
CXX := $(CXX)
CXXFLAGS := $(CXXFLAGS)
LDFLAGS := $(LDFLAGS)
MAPNIK_PLUGINDIR := $(shell mapnik-config --input-plugins)

all: mapnik-vector-tile

mapnik-vector-tile: src/vector_tile.pb.cc Makefile

src/vector_tile.pb.cc: proto/vector_tile.proto
	protoc -Iproto/ --cpp_out=./src proto/vector_tile.proto

python/vector_tile_pb2.py: proto/vector_tile.proto
	protoc -Iproto/ --python_out=python proto/vector_tile.proto

python: python/vector_tile_pb2.py

test/run-test: Makefile src/vector_tile.pb.cc test/vector_tile.cpp test/test_utils.hpp src/*
	@$(CXX) -o ./test/run-test test/vector_tile.cpp src/vector_tile.pb.cc -I./src $(CXXFLAGS) $(MAPNIK_CXXFLAGS) $(PROTOBUF_CXXFLAGS) $(COMMON_FLAGS) $(MAPNIK_LDFLAGS) $(PROTOBUF_LDFLAGS) $(LDFLAGS) -Wno-unused-private-field

test/test-cfg.h:
	echo "#define MAPNIK_PLUGINDIR \"$(MAPNIK_PLUGINDIR)\"" > test/test-cfg.h

test: test/test-cfg.h test/run-test test/run-geom-test ./test/run-raster-test src/vector_tile.pb.cc test/catch.hpp
	./test/run-test
	./test/run-geom-test
	./test/run-raster-test

./test/run-raster-test: Makefile src/vector_tile.pb.cc test/raster_tile.cpp test/encoding_util.hpp test/catch.hpp
	@$(CXX) -o ./test/run-raster-test test/raster_tile.cpp src/vector_tile.pb.cc -I./src $(CXXFLAGS) $(MAPNIK_CXXFLAGS) $(PROTOBUF_CXXFLAGS) $(COMMON_FLAGS) $(MAPNIK_LDFLAGS) $(PROTOBUF_LDFLAGS) $(LDFLAGS) -Wno-unused-private-field
	./test/run-raster-test

./test/run-geom-test: Makefile src/vector_tile.pb.cc test/geometry_encoding.cpp test/encoding_util.hpp src/vector_tile_geometry_encoder.hpp test/catch.hpp
	@$(CXX) -o ./test/run-geom-test test/geometry_encoding.cpp src/vector_tile.pb.cc -I./src $(CXXFLAGS) $(MAPNIK_CXXFLAGS) $(PROTOBUF_CXXFLAGS) $(COMMON_FLAGS) $(MAPNIK_LDFLAGS) $(PROTOBUF_LDFLAGS) $(LDFLAGS) -Wno-unused-private-field

geom: test/run-geom-test src/vector_tile.pb.cc
	./test/run-geom-test

python-test: python/vector_tile_pb2.py
	python ./test/python/test.py

clean:
	@rm -f ./src/vector_tile.pb.cc
	@rm -f ./src/vector_tile.pb.h
	@rm -f ./test/run-test
	@rm -f ./test/run-geom-test
	@rm -f ./test/run-raster-test
	@rm -f ./python/vector_tile_pb2.py
	@rm -f ./python/*pyc

.PHONY: test

=== debian/changelog ===
mapnik-vector-tile (0.5.1+dfsg-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually ship mapnik3x_compatibility.hpp. (Closes: #762643, #759843.)

 -- Robert Edmonds <edmonds@debian.org>  Tue, 23 Sep 2014 21:28:10 -0400

mapnik-vector-tile (0.5.1+dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No sourceful changes; rebuild against the latest protobuf-compiler due to
    the transition in #760343. (Closes: #761429)
  * (Second try: the upload of 0.5.1+dfsg-1.1 was eaten by the archive
    software due to my key being replaced after the upload to DEFERRED.)

 -- Robert Edmonds <edmonds@debian.org>  Tue, 23 Sep 2014 11:54:40 -0400

mapnik-vector-tile (0.5.1+dfsg-1) unstable; urgency=medium

  * Upstream update
  * Exclude test/natural_earth.tif (not preferred form for
    modification, unclear source) and create a blank tif at
    build time.
  * Add patch to fix expectations of raster_tile test against
    the built blank tif.
  * Build-Depends python-gdal, python, needed by tif builder.
  * Copyright: use Files-Excluded instead of manual get-orig-source.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Aug 2014 23:06:53 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	ln -s /usr/include/catch.hpp test/
	python debian/create-raster.py
	dh_auto_test

=== debian/watch ===
version=3
opts=\
dversionmangle=s/$/+dfsg/,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mapnik-vector-tile-$1.tar.gz/ \
 https://github.com/mapbox/mapnik-vector-tile/releases .*/archive/v?([\d\.]+).tar.gz

## mapnik-vector-tile 0.13.0+dfsg

=== Makefile ===
MAPNIK_PLUGINDIR := $(shell mapnik-config --input-plugins)
BUILDTYPE ?= Release

CLIPPER_REVISION=7484da1
PROTOZERO_REVISION=v1.0.0
GYP_REVISION=3464008

all: libvtile

./deps/gyp:
	git clone https://chromium.googlesource.com/external/gyp.git ./deps/gyp && cd ./deps/gyp && git checkout $(GYP_REVISION)

./deps/protozero:
	git clone https://github.com/mapbox/protozero.git ./deps/protozero && cd ./deps/protozero && git checkout $(PROTOZERO_REVISION)

./deps/clipper:
	git clone https://github.com/mapnik/clipper.git -b r496-mapnik ./deps/clipper && cd ./deps/clipper && git checkout $(CLIPPER_REVISION) && ./cpp/fix_members.sh

build/Makefile: ./deps/gyp ./deps/clipper ./deps/protozero gyp/build.gyp test/*cpp
	deps/gyp/gyp gyp/build.gyp --depth=. -DMAPNIK_PLUGINDIR=\"$(MAPNIK_PLUGINDIR)\" -Goutput_dir=. --generator-output=./build -f make

libvtile: build/Makefile Makefile
	@$(MAKE) -C build/ BUILDTYPE=$(BUILDTYPE) V=$(V)

test: libvtile
	./build/$(BUILDTYPE)/tests

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

clean:
	rm -rf ./build
	rm -rf ./deps/protozero
	rm -rf ./deps/clipper

.PHONY: test

=== debian/changelog ===
mapnik-vector-tile (0.13.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update clipper to 7484da1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Oct 2015 10:49:34 +0200

mapnik-vector-tile (0.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update clipper to r496-mapnik.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Oct 2015 11:04:45 +0200

mapnik-vector-tile (0.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Jérémy Lal ]
  * Imported Upstream version 0.8.0+dfsg
  * Build-Depends gyp
  * Fixed watch file
  * Depends and Build-Depends libmapnik-dev 3.0.0~.
    (closes: #789942)

  [ Bas Couwenberg ]
  * Imported upstream version 0.10.0+dfsg.
  * Add gbp.conf to use pristine-tar by default.
  * Update watch file, changes:
    - Handle common versionmangle issues
    - Support other tarball extensions
    - Use repacksuffix option for appending +dfsg
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Restructure control file with cme.
  * Use protozero Debian package.
  * Update Vcs-Browser URL to use HTTPS.
  * Ignore test failures to not fail the entire build.
  * Don't install mapnik3x_compatibilty.hpp, no longer included upstream.
  * Include all .cpp & .ipp files as examples.
  * Enable parallel builds.
  * Include clipper.{c,h}pp copies to not require a separate package.
  * Install upstream examples too.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Sep 2015 00:35:31 +0200

mapnik-vector-tile (0.5.1+dfsg-2) unstable; urgency=medium

  * Add mapnik3x_compatibility.hpp header, required by node-mapnik

 -- Jérémy Lal <kapouer@melix.org>  Thu, 21 Aug 2014 00:50:15 +0200

## mapnik-vector-tile 0.14.1+dfsg

=== debian/changelog ===
mapnik-vector-tile (0.14.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Oct 2015 10:39:36 +0100

=== debian/control ===
Source: mapnik-vector-tile
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9),
               gyp,
               protobuf-compiler,
               libprotobuf-dev,
               libprotozero-dev,
               catch,
               libmapnik-dev (>= 3.0.0~),
               python,
               python-gdal
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik-vector-tile.git
Homepage: https://github.com/mapbox/mapnik-vector-tile

Package: mapnik-vector-tile
Architecture: all
Depends: ${misc:Depends},
         libprotobuf-dev,
         libprotozero-dev,
         libmapnik-dev (>= 3.0.0~)
Description: Vector tiles integration with mapnik - development files
 This package provides C++ header and source needed to render geodata
 into vector tiles, and vector tiles into images.
 .
 Tiles are encoded as protobuf messages, and that geodata format can be
 used as a drop-in replacement for mapnik datasources like postgis and
 shapefiles, without compromising on speed.
 .
 Mapnik is a C++/Python toolkit for developing GIS applications.

## mapnik-vector-tile 0.14.2+dfsg

=== debian/changelog ===
mapnik-vector-tile (0.14.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2015 01:50:04 +0100

## mapnik-vector-tile 0.14.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,10 @@
 libvtile: build/Makefile Makefile
 	@$(MAKE) -C build/ BUILDTYPE=$(BUILDTYPE) V=$(V)
 
-test: libvtile
+test/geometry-test-data:
+	git submodule update --init
+
+test: libvtile test/geometry-test-data
 	./build/$(BUILDTYPE)/tests
 
 testpack:

=== examples/c++/Makefile ===
--- 
+++ 
@@ -6,16 +6,17 @@
 all: tileinfo
 
 tileinfo: tileinfo.cpp ../../src/vector_tile.pb.cc
-	$(CXX) tileinfo.cpp ../../src/vector_tile.pb.cc -o tileinfo -lprotobuf-lite -lz
+	$(CXX) $(CXXFLAGS) $(PROTOBUF_CXXFLAGS) $(LDFLAGS) $(PROTOBUF_LDFLAGS) tileinfo.cpp ../../src/vector_tile.pb.cc -o tileinfo -lprotobuf-lite -lz
+
+install: tileinfo
+	mkdir -p /usr/local/bin
+	cp ./tileinfo /usr/local/bin/tileinfo
+	chmod +x /usr/local/bin/tileinfo
 
 test:
 	./tileinfo ../data/14_8716_8015.vector.pbf
 	./tileinfo ../data/14_2620_6331.vector.pbf.z
 
-install:
-	cp ./tileinfo /usr/local/bin/tileinfo
-	chmod +x /usr/local/bin/tileinfo
-
 clean:
 	@rm -f ./tileinfo

=== debian/changelog ===
mapnik-vector-tile (0.14.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2016 23:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-gdal
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/mapnik-vector-tile.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik-vector-tile.git
 Homepage: https://github.com/mapbox/mapnik-vector-tile
 
 Package: mapnik-vector-tile

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_clean:
	rm -f deps/gyp/gyp
	-rmdir deps/gyp
	rm -f deps/clipper/cpp/*
	-rmdir deps/clipper/cpp
	-rmdir deps/clipper
	-rmdir deps
	rm -rf build
	dh_auto_clean

override_dh_auto_build:
	-mkdir -p deps/gyp
	-ln -s /usr/bin/gyp deps/gyp/gyp
	-mkdir -p deps/clipper/cpp
	-ln -s $(CURDIR)/debian/clipper.cpp deps/clipper/cpp/clipper.cpp
	-ln -s $(CURDIR)/debian/clipper.hpp deps/clipper/cpp/clipper.hpp
	dh_auto_build

override_dh_auto_test:
	ln -s /usr/include/catch.hpp test/
	python debian/create-raster.py
	dh_auto_test || echo "Ignoring test failures"

override_dh_installexamples:
	dh_installexamples
	chmod 644 debian/*/usr/share/doc/*/examples/*/Makefile

## mapnik-vector-tile 1.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 MAPNIK_PLUGINDIR := $(shell mapnik-config --input-plugins)
 BUILDTYPE ?= Release
 
-CLIPPER_REVISION=7484da1
-PROTOZERO_REVISION=v1.0.0
+CLIPPER_REVISION=381c817fd13e819e90006ed1f3c26ea6f1e6e343
+PROTOZERO_REVISION=v1.3.0
 GYP_REVISION=3464008
 
 all: libvtile
@@ -16,7 +16,7 @@
 ./deps/clipper:
 	git clone https://github.com/mapnik/clipper.git -b r496-mapnik ./deps/clipper && cd ./deps/clipper && git checkout $(CLIPPER_REVISION) && ./cpp/fix_members.sh
 
-build/Makefile: ./deps/gyp ./deps/clipper ./deps/protozero gyp/build.gyp test/*cpp
+build/Makefile: ./deps/gyp ./deps/clipper ./deps/protozero gyp/build.gyp test/*
 	deps/gyp/gyp gyp/build.gyp --depth=. -DMAPNIK_PLUGINDIR=\"$(MAPNIK_PLUGINDIR)\" -Goutput_dir=. --generator-output=./build -f make
 
 libvtile: build/Makefile Makefile
@@ -26,7 +26,7 @@
 	git submodule update --init
 
 test: libvtile test/geometry-test-data
-	./build/$(BUILDTYPE)/tests
+	DYLD_LIBRARY_PATH=$(MVT_LIBRARY_PATH) ./build/$(BUILDTYPE)/tests
 
 testpack:
 	rm -f ./*tgz

=== debian/changelog ===
mapnik-vector-tile (1.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Apr 2016 22:24:25 +0200

mapnik-vector-tile (1.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update clipper to 381c817fd13e819e90006ed1f3c26ea6f1e6e343.
  * Update use-protozero-package.patch for vtile-fuzz target.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Apr 2016 19:00:47 +0200

mapnik-vector-tile (1.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Apr 2016 07:37:29 +0200

mapnik-vector-tile (1.0.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Also install .ipp files required by the header files.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Apr 2016 12:49:23 +0200

mapnik-vector-tile (1.0.6+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update clipper to 68c49e9a9adaff1ddddb008eaf49f71bf259c4e8.
  * Update copyright file, changes:
    - Add license & copyright for vector_tile_douglas_peucker.hpp
    - Use stand-alone license paragraphs
  * Bump Standards-Version to 3.9.8, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Apr 2016 10:28:15 +0200

mapnik-vector-tile (1.0.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update clipper to 3eb6a85910affdf070927bba3b6ab12a67a1381b.
  * Bump minimum required Mapnik to 3.0.11.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Apr 2016 03:11:43 +0200

mapnik-vector-tile (1.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Bump protozero dependency to 1.3.0.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update clipper to 150f2c4f58a72c051bcad76c84f10362797bf5ab.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Mar 2016 22:31:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                gyp,
                protobuf-compiler,
                libprotobuf-dev,
-               libprotozero-dev,
+               libprotozero-dev (>= 1.3.0),
                catch,
-               libmapnik-dev (>= 3.0.0~),
+               libmapnik-dev (>= 3.0.11),
                python,
                python-gdal
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik-vector-tile.git
 Homepage: https://github.com/mapbox/mapnik-vector-tile
@@ -22,7 +22,7 @@
 Depends: ${misc:Depends},
          libprotobuf-dev,
          libprotozero-dev,
-         libmapnik-dev (>= 3.0.0~)
+         libmapnik-dev (>= 3.0.11)
 Description: Vector tiles integration with mapnik - development files
  This package provides C++ header and source needed to render geodata
  into vector tiles, and vector tiles into images.

## mapnik-vector-tile 1.2.1%2bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 MAPNIK_PLUGINDIR := $(shell mapnik-config --input-plugins)
 BUILDTYPE ?= Release
 
-CLIPPER_REVISION=381c817fd13e819e90006ed1f3c26ea6f1e6e343
+CLIPPER_REVISION=ac8d6bf2517f46c05647b5c19cac113fb180ffb4
 PROTOZERO_REVISION=v1.3.0
 GYP_REVISION=3464008

## mapnik-vector-tile 1.2.1+dfsg

=== debian/changelog ===
mapnik-vector-tile (1.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable verbose gyp output.
  * Bump minimum required Mapnik to 3.0.12.
  * Update clipper to ac8d6bf2517f46c05647b5c19cac113fb180ffb4.
  * Add patch by Dane Springmeyer to add decode_geometry prototypes.
  * Add patch to skip tests for missing data.
  * Add upstream metadata.
  * Add Upstream-Name to copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Aug 2016 23:40:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libprotobuf-dev,
                libprotozero-dev (>= 1.3.0),
                catch,
-               libmapnik-dev (>= 3.0.11),
+               libmapnik-dev (>= 3.0.12~),
                python,
                python-gdal
 Standards-Version: 3.9.8
@@ -22,7 +22,7 @@
 Depends: ${misc:Depends},
          libprotobuf-dev,
          libprotozero-dev,
-         libmapnik-dev (>= 3.0.11)
+         libmapnik-dev (>= 3.0.12~)
 Description: Vector tiles integration with mapnik - development files
  This package provides C++ header and source needed to render geodata
  into vector tiles, and vector tiles into images.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Verbose output
+export V=1
 
 %:
 	dh $@ --parallel

## mapnik-vector-tile 1.2.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BUILDTYPE ?= Release
 
 CLIPPER_REVISION=ac8d6bf2517f46c05647b5c19cac113fb180ffb4
-PROTOZERO_REVISION=v1.3.0
+PROTOZERO_REVISION=v1.4.2
 GYP_REVISION=3464008
 
 all: libvtile

=== debian/changelog ===
mapnik-vector-tile (1.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 09:48:04 +0200

mapnik-vector-tile (1.2.2+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches included upstream.
  * Bump minimum required protozero to 1.4.2.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Sep 2016 10:01:57 +0200

mapnik-vector-tile (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Bump minimum required Mapnik to 3.0.12.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Sep 2016 15:52:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: devel
 Priority: extra
 Build-Depends: debhelper (>= 9),
+               catch,
                gyp,
+               libmapnik-dev (>= 3.0.12),
+               libprotobuf-dev,
+               libprotozero-dev (>= 1.4.2),
                protobuf-compiler,
-               libprotobuf-dev,
-               libprotozero-dev (>= 1.3.0),
-               catch,
-               libmapnik-dev (>= 3.0.12~),
-               python,
+               python-all,
                python-gdal
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
@@ -19,10 +19,10 @@
 
 Package: mapnik-vector-tile
 Architecture: all
-Depends: ${misc:Depends},
+Depends: libmapnik-dev (>= 3.0.12~),
          libprotobuf-dev,
          libprotozero-dev,
-         libmapnik-dev (>= 3.0.12~)
+         ${misc:Depends}
 Description: Vector tiles integration with mapnik - development files
  This package provides C++ header and source needed to render geodata
  into vector tiles, and vector tiles into images.

## mapnik-vector-tile 1.5.0+dfsg

=== Makefile ===
GYP_REVISION=3464008

default: release

mason_packages/.link/bin:
	SKIP_MAPNIK_INSTALL=YES ./install_mason.sh

mason_packages/.link/bin/mapnik-config:
	./install_mason.sh

pre_build_check:
	@echo "Looking for mapnik-config on your PATH..."
	mapnik-config -v

./deps/gyp:
	git clone https://chromium.googlesource.com/external/gyp.git ./deps/gyp && cd ./deps/gyp && git checkout $(GYP_REVISION)

build/Makefile: pre_build_check ./deps/gyp gyp/build.gyp test/*
	deps/gyp/gyp gyp/build.gyp --depth=. -DMAPNIK_PLUGINDIR=\"$(shell mapnik-config --input-plugins)\" -Goutput_dir=. --generator-output=./build -f make
	$(MAKE) -C build/ V=$(V)

release: mason_packages/.link/bin/mapnik-config Makefile
	CXXFLAGS="-D_GLIBCXX_USE_CXX11_ABI=0 $(CXXFLAGS)" $(MAKE) release_base

debug: mason_packages/.link/bin/mapnik-config Makefile
	CXXFLAGS="-D_GLIBCXX_USE_CXX11_ABI=0 $(CXXFLAGS)" $(MAKE) debug_base

# note: we set PATH to the mason bins to pick up protoc
# and CXXFLAGS/LDFLAGS to find protobuf headers/libs
# This will only find mason installed mapnik-config if run via the `release` or `debug` targets
release_base: mason_packages/.link/bin Makefile
	CXXFLAGS="-isystem `pwd`/mason_packages/.link/include $(CXXFLAGS)" \
	 LDFLAGS="-L`pwd`/mason_packages/.link/lib $(LDFLAGS)" \
	 PATH="`pwd`/mason_packages/.link/bin/:${PATH}" \
	 BUILDTYPE=Release $(MAKE) build/Makefile

debug_base: mason_packages/.link/bin Makefile
	CXXFLAGS="-isystem `pwd`/mason_packages/.link/include $(CXXFLAGS)" \
	 LDFLAGS="-L`pwd`/mason_packages/.link/lib $(LDFLAGS)" \
	 PATH="`pwd`/mason_packages/.link/bin/:${PATH}" \
	 BUILDTYPE=Debug $(MAKE) build/Makefile

test/geometry-test-data/README.md:
	git submodule update --init

test: test/geometry-test-data/README.md
	BUILDTYPE=Release ./test/run.sh

test-debug: test/geometry-test-data/README.md
	BUILDTYPE=Debug ./test/run.sh

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

clean:
	rm -rf ./build

distclean: clean
	rm -rf ./mason
	rm -rf ./deps/gyp
	rm -rf ./mason_packages

.PHONY: test build/Makefile

=== debian/changelog ===
mapnik-vector-tile (1.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.0, changes: priority.
  * Don't exclude catch from repacked upstream tarball.
  * Add license & copyright for catch.hpp.
  * Don't use catch Debian package.
    (closes: #876902)
  * Drop mapnik-config.patch, fixed upstream.
  * Have dh_auto_build use release_base target.
  * Add patch to not use mason in Makefile (dependencies are packaged).

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Sep 2017 21:35:46 +0200

mapnik-vector-tile (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 22:27:05 +0200

mapnik-vector-tile (1.4.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required protozero to 1.5.1.
  * Add patch to use system mapnik-config.
  * Bump minimum required Mapnik to 3.0.14.
  * Remove handling of clipper files, replaced by wagyu.
  * Add geometry.hpp & wagyu to (build) dependencies.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 13:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,27 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
-               catch,
                gyp,
-               libmapnik-dev (>= 3.0.12),
+               libmapbox-geometry-dev,
+               libmapbox-wagyu-dev,
+               libmapnik-dev (>= 3.0.14),
                libprotobuf-dev,
-               libprotozero-dev (>= 1.4.2),
+               libprotozero-dev (>= 1.5.1),
                protobuf-compiler,
                python-all,
                python-gdal
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik-vector-tile.git
 Homepage: https://github.com/mapbox/mapnik-vector-tile
 
 Package: mapnik-vector-tile
 Architecture: all
-Depends: libmapnik-dev (>= 3.0.12~),
+Depends: libmapbox-geometry-dev,
+         libmapbox-wagyu-dev,
+         libmapnik-dev (>= 3.0.14),
          libprotobuf-dev,
          libprotozero-dev,
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Verbose output
export V=1

%:
	dh $@ --parallel

override_dh_auto_clean:
	rm -f deps/gyp/gyp
	-rmdir deps/gyp
	-rmdir deps
	rm -rf build
	dh_auto_clean

override_dh_auto_build:
	-mkdir -p deps/gyp
	-ln -s /usr/bin/gyp deps/gyp/gyp
	dh_auto_build -- release_base

override_dh_auto_test:
	python debian/create-raster.py
	dh_auto_test || echo "Ignoring test failures"

override_dh_installexamples:
	dh_installexamples
	chmod 644 debian/*/usr/share/doc/*/examples/*/Makefile

## mapnik-vector-tile 1.6.0+dfsg

=== debian/changelog ===
mapnik-vector-tile (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Check DEB_BUILD_PROFILES to nocheck in dh_auto_test override.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Feb 2018 16:24:01 +0100

mapnik-vector-tile (1.5.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.3, no changes.
  * Rebuild with Mapnik 3.0.18.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jan 2018 10:07:00 +0100

mapnik-vector-tile (1.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Rebuild with Mapnik 3.0.17.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Nov 2017 15:05:16 +0100

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*)?(?:rel|v|mapnik-vector-tile)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapnik-vector-tile-$1.$2/,\
repacksuffix=+dfsg \
https://github.com/mapbox/mapnik-vector-tile/releases \
(?:.*/)?(?:rel|v|mapnik-vector-tile)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapnik-vector-tile 1.6.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                gyp,
                libmapbox-geometry-dev,
                libmapbox-wagyu-dev,
-               libmapnik-dev (>= 3.0.14),
+               libmapnik-dev (>= 3.0.22),
                libprotobuf-dev,
                libprotozero-dev (>= 1.5.1),
                protobuf-compiler,
                python-all,
                python-gdal
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik-vector-tile.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik-vector-tile
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik-vector-tile.git
 Homepage: https://github.com/mapbox/mapnik-vector-tile
 
 Package: mapnik-vector-tile
@@ -35,4 +35,3 @@
  shapefiles, without compromising on speed.
  .
  Mapnik is a C++/Python toolkit for developing GIS applications.
-

## mapnik-vector-tile 1.6.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 GYP_REVISION=3464008
+
+SSE_MATH ?= true
 
 default: release
 
@@ -16,7 +18,7 @@
 	git clone https://chromium.googlesource.com/external/gyp.git ./deps/gyp && cd ./deps/gyp && git checkout $(GYP_REVISION)
 
 build/Makefile: pre_build_check ./deps/gyp gyp/build.gyp test/*
-	deps/gyp/gyp gyp/build.gyp --depth=. -DMAPNIK_PLUGINDIR=\"$(shell mapnik-config --input-plugins)\" -Goutput_dir=. --generator-output=./build -f make
+	deps/gyp/gyp gyp/build.gyp -Denable_sse=$(SSE_MATH) --depth=. -DMAPNIK_PLUGINDIR=\"$(shell mapnik-config --input-plugins)\" -Goutput_dir=. --generator-output=./build -f make
 	$(MAKE) -C build/ V=$(V)
 
 release: mason_packages/.link/bin/mapnik-config Makefile

=== examples/c++/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	chmod +x /usr/local/bin/tileinfo
 
 test:
-	./tileinfo ../data/14_8716_8015.vector.pbf
-	./tileinfo ../data/14_2620_6331.vector.pbf.z
+	./tileinfo ../data/14_8716_8015.vector.mvt
+	./tileinfo ../data/14_2620_6331.vector.mvt.z
 
 clean:
 	@rm -f ./tileinfo

=== debian/changelog ===
mapnik-vector-tile (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with Mapnik 3.0.19.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Mar 2018 09:46:32 +0100

mapnik-vector-tile (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Limit watch to 1.x releases for Mapnik 3.0.x.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Feb 2018 19:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
                gyp,
                libmapbox-geometry-dev,
                libmapbox-wagyu-dev,
-               libmapnik-dev (>= 3.0.22),
+               libmapnik-dev (>= 3.0.19),
                libprotobuf-dev,
                libprotozero-dev (>= 1.5.1),
                protobuf-compiler,
                python-all,
                python-gdal
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik-vector-tile
-Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik-vector-tile.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapnik-vector-tile.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapnik-vector-tile.git
 Homepage: https://github.com/mapbox/mapnik-vector-tile
 
 Package: mapnik-vector-tile
@@ -35,3 +35,4 @@
  shapefiles, without compromising on speed.
  .
  Mapnik is a C++/Python toolkit for developing GIS applications.
+

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	dh_auto_build -- release_base
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python debian/create-raster.py
 	dh_auto_test || echo "Ignoring test failures"
+endif
 
 override_dh_installexamples:
 	dh_installexamples

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 filenamemangle=s/(?:.*)?(?:rel|v|mapnik-vector-tile)[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapnik-vector-tile-$1.$2/,\
 repacksuffix=+dfsg \
 https://github.com/mapbox/mapnik-vector-tile/releases \
-(?:.*/)?(?:rel|v|mapnik-vector-tile)[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+(?:.*/)?(?:rel|v|mapnik-vector-tile)[\-\_]?(1\.\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
